package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcProjectProgressMapper;
import com.ruoyi.oa.domain.CmcProjectProgress;
import com.ruoyi.oa.service.ICmcProjectProgressService;

/**
 * cmc项目进度Service业务层处理
 * 
 * @author cmc
 * @date 2024-04-02
 */
@Service
public class CmcProjectProgressServiceImpl implements ICmcProjectProgressService 
{
    @Autowired
    private CmcProjectProgressMapper cmcProjectProgressMapper;

    /**
     * 查询cmc项目进度
     * 
     * @param projectId cmc项目进度主键
     * @return cmc项目进度
     */
    @Override
    public List<CmcProjectProgress> selectCmcProjectProgressByProjectId(String projectId)
    {
        return cmcProjectProgressMapper.selectCmcProjectProgressByProjectId(projectId);
    }

    /**
     * 查询cmc项目进度列表
     * 
     * @param cmcProjectProgress cmc项目进度
     * @return cmc项目进度
     */
    @Override
    public List<CmcProjectProgress> selectCmcProjectProgressList(CmcProjectProgress cmcProjectProgress)
    {
        return cmcProjectProgressMapper.selectCmcProjectProgressList(cmcProjectProgress);
    }

    /**
     * 新增cmc项目进度
     * 
     * @param cmcProjectProgress cmc项目进度
     * @return 结果
     */
    @Override
    public int insertCmcProjectProgress(CmcProjectProgress cmcProjectProgress)
    {
        return cmcProjectProgressMapper.insertCmcProjectProgress(cmcProjectProgress);
    }

    /**
     * 修改cmc项目进度
     * 
     * @param cmcProjectProgress cmc项目进度
     * @return 结果
     */
    @Override
    public int updateCmcProjectProgress(CmcProjectProgress cmcProjectProgress)
    {
        return cmcProjectProgressMapper.updateCmcProjectProgress(cmcProjectProgress);
    }

    /**
     * 批量删除cmc项目进度
     * 
     * @param projectIds 需要删除的cmc项目进度主键
     * @return 结果
     */
    @Override
    public int deleteCmcProjectProgressByProjectIds(String[] projectIds)
    {
        return cmcProjectProgressMapper.deleteCmcProjectProgressByProjectIds(projectIds);
    }

    /**
     * 删除cmc项目进度信息
     * 
     * @param projectId cmc项目进度主键
     * @return 结果
     */
    @Override
    public int deleteCmcProjectProgressByProjectId(String projectId)
    {
        return cmcProjectProgressMapper.deleteCmcProjectProgressByProjectId(projectId);
    }
}
